Name:		reiserfsprogs
Version:	3.6.11
Release:	1.5.1
Summary:	Tools for creating, repairing, and debugging ReiserFS filesystems.
Source0:	ftp://namesys.com/pub/%{name}/%{name}-%{version}.tar.gz
License:	GPL
Group:		System Environment/Base
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Provides:	reiserfs-utils
Obsoletes:	reiserfs-utils

%description
The reiserfsprogs package contains a number of utilities for
creating, checking, modifying, and correcting any inconsistencies in
ReiserFS filesystems, including reiserfsck (used to repair filesystem
inconsistencies), mkreiserfs (used to initialize a partition to
contain an empty ReiserFS filesystem), debugreiserfs (used to examine
the internal structure of a filesystem, to manually repair a corrupted
filesystem, or to create test cases for reiserfsck), and some other
ReiserFS filesystem utilities.

%files
  %defattr(-,root,root)
  %doc README
  %attr(0444,root,root)		%doc %{_mandir}/*/*
  %attr(0550,root,admin)	%{_root_sbindir}/*

%prep
%setup -q -n reiserfsprogs-%{version}

%build
  export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
  find . -name "config.cache" | xargs rm -f
%configure --prefix=/
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR="$RPM_BUILD_ROOT"
  mv -f $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/sbin

  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
  install -m644 debugreiserfs/debugreiserfs.8 $RPM_BUILD_ROOT%{_mandir}/man8
  install -m644 fsck/reiserfsck.8 $RPM_BUILD_ROOT%{_mandir}/man8
  install -m644 mkreiserfs/mkreiserfs.8 $RPM_BUILD_ROOT%{_mandir}/man8

  ( cd $RPM_BUILD_ROOT/sbin
    ln -fs mkreiserfs mkfs.reiserfs
    ln -fs reiserfsck fsck.reiserfs )

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 12 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.6.11, Release 1.5.1
  - Change package name to reiserfsprogs.
  - New upstream release.

* Tue Jun 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.6.8, Release 1.5.0
  - Initial build for EnGarde.
